##################################################################
# NYISO DCR Reset 2020: Net EAS Revenues Model
# Module 1, part 2
#_________________________________________________________________

# Script purpose 
#   This script includes a function for importing unit technical parameters for a given case into the model.
#   Inputs: a vector of units to be evaluated in the case ("unit_vector"), a toggle for whether the case assumes units have SCR or not ("SCR_option"),
#           and a variable identifying the technical parameters input workbook used in the case ("input_loc")

Engineering_Import <- function(unit_vector, SCR_option, input_loc) {
  sheet_vector <- if(SCR_option == "No") {
    paste0("tech_params_", unit_vector, "_noscr")
  }else{
    paste0("tech_params_", unit_vector)
  }
  source_wb <- ifelse(input_loc == "[Default]",
                         paste0(shared_inputs_folder, "Unit Technical Parameters.xlsx"),
                         paste0(run_inputs_folder, input_loc))
  Engineering_inputs <- lapply(sheet_vector, xlsx_import, source = source_wb)
  names(Engineering_inputs) <- unit_vector
  return(Engineering_inputs)
}
